hash
The package hash contains implementations for CRC, MD5, NTLM (1?) and, under Linux, crypt. Crypt might be better used from pkg "user".
Unit md5
This unit implements the MD5 digest algorithm according to the specifications in RFC 1321. There are routines to calculate hashes from some buffer, or a hash from an entire file.
The test program md5test calculates the hash value for some reference string. The reference output is provided for comparison.
A simple way to calculate the MD5 of a given string is to use MD5String followed by MD5Print, like this:
uses md5;
var
Password, PasswordHash: string;
begin
PasswordHash := MD5Print(MD5String(Password));Similarly, to generate the MD5 hash of a file one can use:
uses md5;
var
PathToFile, FileHash: string;
begin
FileHash := MD5Print(MD5File(PathToFile));Hash units
The following hash units are available in FPC:
- Implements a NTLM version 1.0, password hash algorithm-unit : ntlm.pas
- Implements a MD2 digest algorithm (RFC 1319)-unit: md5.pp
- Implements a MD4 digest algorithm (RFC 1320)-unit: md5.pp
- Implements a MD5 digest algorithm (RFC 1321)-unit: md5.pp
- Implements CRC algorithm-unit: crc.pas
- Implements SHA1 digst algorithm-unit: sha1.pp
- Hash-based supporting HMAC-MD5 and HMAC-SHA-1 - unit: hmac.pp (FPC trunk)
See also
Go back to Packages List
From the Free Pascal wiki, page "hash", as it stood on 2020-02-16 after a change by Trev, out of the wiki's dump of 2024-05-26. Copyright stays with the author who wrote it, according to the old wiki's Licensing page. If you have concerns about this material, message the admin.
Talk about this page
Nobody has opened a bench for this page yet. Sign in to open one.
